Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
OnigCompileInfo Struct Reference

`#include <onigmo.h>`

## Data Fields
int | num_of_elements
OnigEncoding | pattern_enc
OnigEncoding | target_enc
const OnigSyntaxType * | syntax
OnigOptionType | option
OnigCaseFoldType | case_fold_flag

## Detailed Description

Definition at line 807 of file onigmo.h.

## Field Documentation

## ◆ case_fold_flag

OnigCaseFoldType OnigCompileInfo::case_fold_flag

Definition at line 813 of file onigmo.h.

## ◆ num_of_elements

int OnigCompileInfo::num_of_elements

Definition at line 808 of file onigmo.h.

## ◆ option

OnigOptionType OnigCompileInfo::option

Definition at line 812 of file onigmo.h.

## ◆ pattern_enc

OnigEncoding OnigCompileInfo::pattern_enc

Definition at line 809 of file onigmo.h.

## ◆ syntax

const OnigSyntaxType* OnigCompileInfo::syntax

Definition at line 811 of file onigmo.h.

## ◆ target_enc

OnigEncoding OnigCompileInfo::target_enc

Definition at line 810 of file onigmo.h.

The documentation for this struct was generated from the following file:

- include/ruby/onigmo.h